Copyrights
Purpose
The Copyrights API is designed to serve copyright information for the Map Display services. As an alternative to copyrights for a map request, you can receive copyrights for the map service called captions.
Map Copyrights
Request data
HTTPS method: GET
Please see the following Request parameters section with the required parameters table for these values. The generic URL format is as follows.
URL format
The schema for the map copyrights request:
https://{baseURL}/maps/orbis/copyrights?key={Your_API_Key}Example
https://api.tomtom.com/maps/orbis/copyrights?key={Your_API_Key}curl command format
curl 'https://{baseURL}/maps/orbis/copyrights?apiVersion=2&key={Your_API_Key}'Request parameters (Map Copyrights)
| Required parameters | Description |
|---|---|
| The base URL for calling TomTom services.
Value: |
| An API Key valid for the requested service. |
| Optional parameters | Description |
|---|---|
| A version of the API to call. If the parameter is set it will overwrite the value stored in TomTom-Api-Version header.
Value: The current version is |
HTTP request headers (Map Copyrights)
| Required headers | Description |
|---|---|
| An API Key valid for the requested service. |
| Contains a version of the API to call.
Value: The current version is |
Response data
The response body will contain copyrights in a plain text format.
© OpenStreetMap contributors. This data is licensed under the terms of the Open Database License (ODbL) available at https://opendatacommons.org/licenses/odbl/1-0/. More information can be found here: https://www.openstreetmap.org/copyright/en. To the extent that you create a browsable electronic map using this product, you are further required to comply with the provisions of https://www.openstreetmap.org/copyright/en
© 1992 - 2025 TomTom. All rights reserved. This material is proprietary and the subject of copyright protection, database right protection and other intellectual property rights owned by TomTom or its suppliers. The use of this material is subject to the terms of a license agreement. Any unauthorized copying or disclosure of this material will lead to criminal and civil liabilities.
Data Source © 2025 TomTom
Based on https://www.tomtom.com/legal/en_gb/product-attributions/Map Service Copyrights
Request data
HTTPS method: GET
Please see the following Request parameters section with the required and optional parameters tables for these values. The generic URL format is as follows.
The schema for the map service copyrights:
https://{baseURL}/maps/orbis/copyrights/caption?key={Your_API_Key}Example
https://api.tomtom.com/maps/orbis/copyrights/caption?key={Your_API_Key}curl command format
curl 'https://{baseURL}/maps/orbis/copyrights/caption?apiVersion=2&key={Your_API_Key}'Request parameters (Map Service Copyrights)
| Required parameters | Description |
|---|---|
| The base URL for calling TomTom services.
Value: |
| An API Key valid for the requested service. |
| Optional parameters | Description |
|---|---|
| A version of the API to call. If the parameter is set, it will overwrite the value stored in TomTom-Api-Version header.
Value: The current version is |
HTTP request headers (Map Service Copyrights)
| Required headers | Description |
|---|---|
| An API Key valid for the requested service. |
| TomTom-Api-Version | Contains a version of the API to call.
Value: The current version is |
Response data
For the map service copyright request, the response body will contain a copyrights caption in JSON format.
{ "formatVersion": "0.0.1", "copyrightsCaption": "©TomTom, ©OpenStreetMap"}Error response
The Map Display API Copyrights service for an invalid request returns a response body in JSON format.
Error response field structure
| Field | Description |
|---|---|
| Main object of the error response. |
| One of a server-defined set of error codes. |
| A human-readable description of the error code. |
Error response example
{ "detailedError": { "code": "BAD_REQUEST", "message": "Bad Request" }}Response codes
| Code | Meaning & possible causes |
|---|---|
200 | OK |
400 | Bad Request: Requested syntax is not available. |
403 | Forbidden: The supplied API Key is not valid for this request. |
429 | Too Many Requests: Too many requests were sent in a given amount of time for the supplied API Key. |
500 | Internal Server Error: There is a problem with the TomTom Copyrights API service. |
503 | Service Unavailable: TomTom Copyrights API service is unable to receive any request. |
596 | Service Not Found: Unknown version of the service. |
Response headers
| Header | Description |
|---|---|
| Access-Control-Allow-Origin | The Maps Copyrights API allows cross-origin resource sharing (CORS).
Value: |
| Tracking-ID | An identifier for the request. If the Tracking-ID header was specified
in the request, it is replicated in the response. Otherwise, it is
generated automatically by the service. For details check RFC 4122.
Value: |